Commit dcc5c4be authored by Alex Brazier's avatar Alex Brazier Committed by Gabriel Delavald

[New] App appx version for Windows store (#519)

* Test appx build

* Build appx

* Add appx logo

* Update yarn.lock

* Remove appveyor cache temporarily

* Update package.json

* Attempt to fix sign error

* Update electron builder

* Just build appx

* Change to x32

* Build only for appx

* Use vs 2017

* Build everything (hopefully)

* Build appx and nsis

* Add appx assets

* Fix color on appx

* Add store logo and change saved artifacts

* Restore cache in appveyor.yml
parent 1d3e80e8
# build: off
os: unstable
image: Visual Studio 2017
platform:
- x64
......@@ -36,7 +36,8 @@ test_script:
# - yarn e2e
build_script:
- yarn release -- --ia32 --x64
- yarn release -- --ia32 --x64 --win nsis appx
artifacts:
- path: 'dist\**\*.exe'
- path: 'dist\*.exe'
- path: 'dist\*.appx'
......@@ -42,6 +42,12 @@
"allowElevation": true,
"allowToChangeInstallationDirectory": true
},
"appx": {
"backgroundColor": "#2f343d",
"displayName": "Rocket.Chat",
"publisherDisplayName": "Rocket.Chat",
"languages": ["en-US", "en-GB", "pt-BR"]
},
"linux": {
"desktop": {
"Categories": "GNOME;GTK;Network;InstantMessaging",
......@@ -89,7 +95,7 @@
"chai": "^4.1.1",
"conventional-changelog-cli": "^1.3.2",
"electron": "^1.7.6",
"electron-builder": "^19.24.4",
"electron-builder": "^19.26.3",
"electron-mocha": "^4.0.0",
"eslint": "^4.5.0",
"gulp": "^3.9.1",
......
......@@ -30,8 +30,8 @@
nan "^2.0.0"
"@types/node@^7.0.18":
version "7.0.39"
resolved "https://registry.yarnpkg.com/@types/node/-/node-7.0.39.tgz#8aced4196387038113f6f9aa4014ab4c51edab3c"
version "7.0.43"
resolved "https://registry.yarnpkg.com/@types/node/-/node-7.0.43.tgz#a187e08495a075f200ca946079c914e1a5fe962c"
JSONStream@^1.0.4:
version "1.3.1"
......@@ -329,12 +329,12 @@ aws4@^1.2.1:
resolved "https://registry.yarnpkg.com/aws4/-/aws4-1.6.0.tgz#83ef5ca860b2b32e4a0deedee8c771b9db57471e"
babel-code-frame@^6.22.0:
version "6.22.0"
resolved "https://registry.yarnpkg.com/babel-code-frame/-/babel-code-frame-6.22.0.tgz#027620bee567a88c32561574e7fd0801d33118e4"
version "6.26.0"
resolved "https://registry.yarnpkg.com/babel-code-frame/-/babel-code-frame-6.26.0.tgz#63fd43f7dc1e3bb7ce35947db8fe369a3f58c74b"
dependencies:
chalk "^1.1.0"
chalk "^1.1.3"
esutils "^2.0.2"
js-tokens "^3.0.0"
js-tokens "^3.0.2"
babel-runtime@~6.23.0:
version "6.23.0"
......@@ -362,8 +362,8 @@ beeper@^1.0.0:
resolved "https://registry.yarnpkg.com/beeper/-/beeper-1.1.1.tgz#e6d5ea8c5dad001304a70b22638447f69cb2f809"
binary-extensions@^1.0.0:
version "1.9.0"
resolved "https://registry.yarnpkg.com/binary-extensions/-/binary-extensions-1.9.0.tgz#66506c16ce6f4d6928a5b3cd6a33ca41e941e37b"
version "1.10.0"
resolved "https://registry.yarnpkg.com/binary-extensions/-/binary-extensions-1.10.0.tgz#9aeb9a6c5e88638aad171e167f5900abe24835d0"
bindings@^1.2.1:
version "1.3.0"
......@@ -521,7 +521,7 @@ chai@^4.1.1:
pathval "^1.0.0"
type-detect "^4.0.0"
chalk@^1.0.0, chalk@^1.1.0, chalk@^1.1.1:
chalk@^1.0.0, chalk@^1.1.1, chalk@^1.1.3:
version "1.1.3"
resolved "https://registry.yarnpkg.com/chalk/-/chalk-1.1.3.tgz#a8115c55e4a702fe4d150abd3872822a7e09fc98"
dependencies:
......@@ -581,8 +581,8 @@ cli-cursor@^2.1.0:
restore-cursor "^2.0.0"
cli-width@^2.0.0:
version "2.1.0"
resolved "https://registry.yarnpkg.com/cli-width/-/cli-width-2.1.0.tgz#b234ca209b29ef66fc518d9b98d5847b00edf00a"
version "2.2.0"
resolved "https://registry.yarnpkg.com/cli-width/-/cli-width-2.2.0.tgz#ff19ede8a9a5e579324147b0c11f0fbcbabed639"
cliui@^2.1.0:
version "2.1.0"
......@@ -943,13 +943,7 @@ debug@2.6.8, debug@^2.1.3, debug@^2.2.0, debug@^2.6.8:
dependencies:
ms "2.0.0"
debug@^3.0.0:
version "3.0.0"
resolved "https://registry.yarnpkg.com/debug/-/debug-3.0.0.tgz#1d2feae53349047b08b264ec41906ba17a8516e4"
dependencies:
ms "2.0.0"
debug@^3.0.1:
debug@^3.0.0, debug@^3.0.1:
version "3.0.1"
resolved "https://registry.yarnpkg.com/debug/-/debug-3.0.1.tgz#0564c612b521dc92d9f2988f0549e34f9c98db64"
dependencies:
......@@ -1093,7 +1087,7 @@ electron-builder-http@~19.21.0:
debug "^3.0.0"
fs-extra-p "^4.4.0"
electron-builder@^19.24.4:
electron-builder@^19.26.3:
version "19.27.0"
resolved "https://registry.yarnpkg.com/electron-builder/-/electron-builder-19.27.0.tgz#1e54043debb7324a797ac65629a1074536769477"
dependencies:
......@@ -2124,8 +2118,8 @@ iconv-lite@^0.4.17:
resolved "https://registry.yarnpkg.com/iconv-lite/-/iconv-lite-0.4.18.tgz#23d8656b16aae6742ac29732ea8f0336a4789cf2"
ignore@^3.3.3:
version "3.3.3"
resolved "https://registry.yarnpkg.com/ignore/-/ignore-3.3.3.tgz#432352e57accd87ab3110e82d3fea0e47812156d"
version "3.3.5"
resolved "https://registry.yarnpkg.com/ignore/-/ignore-3.3.5.tgz#c4e715455f6073a8d7e5dae72d2fc9d71663dba6"
image-size@~0.5.0:
version "0.5.5"
......@@ -2169,8 +2163,8 @@ ini@^1.3.2, ini@^1.3.4, ini@~1.3.0:
resolved "https://registry.yarnpkg.com/ini/-/ini-1.3.4.tgz#0537cb79daf59b59a1a517dff706c86ec039162e"
inquirer@^3.0.6:
version "3.2.1"
resolved "https://registry.yarnpkg.com/inquirer/-/inquirer-3.2.1.tgz#06ceb0f540f45ca548c17d6840959878265fa175"
version "3.2.2"
resolved "https://registry.yarnpkg.com/inquirer/-/inquirer-3.2.2.tgz#c2aaede1507cc54d826818737742d621bef2e823"
dependencies:
ansi-escapes "^2.0.0"
chalk "^2.0.0"
......@@ -2422,7 +2416,7 @@ isexe@^2.0.0:
version "2.0.0"
resolved "https://registry.yarnpkg.com/isexe/-/isexe-2.0.0.tgz#e8fbf374dc556ff8947a10dcb0572d633f2cfa10"
isobject@^2.0.0, isobject@^2.1.0:
isobject@^2.0.0:
version "2.1.0"
resolved "https://registry.yarnpkg.com/isobject/-/isobject-2.1.0.tgz#f065561096a3f1da2ef46272f815c840d87e0c89"
dependencies:
......@@ -2455,7 +2449,7 @@ istanbul@^0.4.2, istanbul@^0.4.5:
which "^1.1.1"
wordwrap "^1.0.0"
js-tokens@^3.0.0:
js-tokens@^3.0.2:
version "3.0.2"
resolved "https://registry.yarnpkg.com/js-tokens/-/js-tokens-3.0.2.tgz#9866df395102130e38f7f996bceb65443209c25b"
......@@ -2898,8 +2892,8 @@ mime-types@^2.1.12, mime-types@~2.1.7:
mime-db "~1.29.0"
mime@^1.2.11, mime@^1.3.6:
version "1.3.6"
resolved "https://registry.yarnpkg.com/mime/-/mime-1.3.6.tgz#591d84d3653a6b0b4a3b9df8de5aa8108e72e5e0"
version "1.4.0"
resolved "https://registry.yarnpkg.com/mime/-/mime-1.4.0.tgz#69e9e0db51d44f2a3b56e48b7817d7d137f1a343"
mimic-fn@^1.0.0:
version "1.1.0"
......@@ -3126,10 +3120,10 @@ object.omit@^2.0.0:
is-extendable "^0.1.1"
object.pick@^1.2.0:
version "1.2.0"
resolved "https://registry.yarnpkg.com/object.pick/-/object.pick-1.2.0.tgz#b5392bee9782da6d9fb7d6afaf539779f1234c2b"
version "1.3.0"
resolved "https://registry.yarnpkg.com/object.pick/-/object.pick-1.3.0.tgz#87a10ac4c1694bd2e1cbf53591a66141fb5dd747"
dependencies:
isobject "^2.1.0"
isobject "^3.0.1"
once@1.x, once@^1.3.0, once@^1.3.2, once@^1.3.3, once@^1.4.0:
version "1.4.0"
......@@ -3573,8 +3567,8 @@ registry-url@^3.0.3:
rc "^1.0.1"
remove-trailing-separator@^1.0.1:
version "1.0.2"
resolved "https://registry.yarnpkg.com/remove-trailing-separator/-/remove-trailing-separator-1.0.2.tgz#69b062d978727ad14dc6b56ba4ab772fd8d70511"
version "1.1.0"
resolved "https://registry.yarnpkg.com/remove-trailing-separator/-/remove-trailing-separator-1.1.0.tgz#c24bce2a283adad5bc3f58e0d48249b92379d8ef"
repeat-element@^1.1.2:
version "1.1.2"
......@@ -3798,10 +3792,6 @@ slice-ansi@0.0.4:
version "0.0.4"
resolved "https://registry.yarnpkg.com/slice-ansi/-/slice-ansi-0.0.4.tgz#edbf8903f66f7ce2f8eafd6ceed65e264c831b35"
slide@^1.1.5:
version "1.1.6"
resolved "https://registry.yarnpkg.com/slide/-/slide-1.1.6.tgz#56eb027d65b4d2dce6cb2e2d32c4d4afc9e1d707"
sntp@1.x.x:
version "1.0.9"
resolved "https://registry.yarnpkg.com/sntp/-/sntp-1.0.9.tgz#6541184cc90aeea6c6e7b35e2659082443c66198"
......@@ -3817,13 +3807,7 @@ source-map-resolve@^0.3.0:
source-map-url "~0.3.0"
urix "~0.1.0"
source-map-support@^0.4.15:
version "0.4.15"
resolved "https://registry.yarnpkg.com/source-map-support/-/source-map-support-0.4.15.tgz#03202df65c06d2bd8c7ec2362a193056fef8d3b1"
dependencies:
source-map "^0.5.6"
source-map-support@^0.4.16:
source-map-support@^0.4.15, source-map-support@^0.4.16:
version "0.4.16"
resolved "https://registry.yarnpkg.com/source-map-support/-/source-map-support-0.4.16.tgz#16fecf98212467d017d586a2af68d628b9421cd8"
dependencies:
......@@ -3846,8 +3830,8 @@ source-map@^0.4.4:
amdefine ">=0.0.4"
source-map@^0.5.1, source-map@^0.5.3, source-map@^0.5.6, source-map@~0.5.1:
version "0.5.6"
resolved "https://registry.yarnpkg.com/source-map/-/source-map-0.5.6.tgz#75ce38f52bf0733c5a7f0c118d81334a2bb5f412"
version "0.5.7"
resolved "https://registry.yarnpkg.com/source-map/-/source-map-0.5.7.tgz#8a039d2d1021d22d1ea14c80d8ea468ba2ef3fcc"
source-map@~0.2.0:
version "0.2.0"
......@@ -4406,8 +4390,8 @@ walkdir@^0.0.11:
resolved "https://registry.yarnpkg.com/walkdir/-/walkdir-0.0.11.tgz#a16d025eb931bd03b52f308caed0f40fcebe9532"
wdio-dot-reporter@~0.0.8:
version "0.0.8"
resolved "https://registry.yarnpkg.com/wdio-dot-reporter/-/wdio-dot-reporter-0.0.8.tgz#36195576da0d998210c71948cbb65f5bf11bfc65"
version "0.0.9"
resolved "https://registry.yarnpkg.com/wdio-dot-reporter/-/wdio-dot-reporter-0.0.9.tgz#929b2adafd49d6b0534fda068e87319b47e38fe5"
webdriverio@^4.8.0:
version "4.8.0"
......@@ -4494,12 +4478,12 @@ wrappy@1:
resolved "https://registry.yarnpkg.com/wrappy/-/wrappy-1.0.2.tgz#b5243d8f3ec1aa35f1364605bc0d1036e30ab69f"
write-file-atomic@^2.0.0:
version "2.1.0"
resolved "https://registry.yarnpkg.com/write-file-atomic/-/write-file-atomic-2.1.0.tgz#1769f4b551eedce419f0505deae2e26763542d37"
version "2.3.0"
resolved "https://registry.yarnpkg.com/write-file-atomic/-/write-file-atomic-2.3.0.tgz#1ff61575c2e2a4e8e510d6fa4e243cce183999ab"
dependencies:
graceful-fs "^4.1.11"
imurmurhash "^0.1.4"
slide "^1.1.5"
signal-exit "^3.0.2"
write@^0.2.1:
version "0.2.1"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment